Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 107351 - app-office/abiword 2.2.10 released (fixes CAN-2005-2964)
Summary: app-office/abiword 2.2.10 released (fixes CAN-2005-2964)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B2 [glsa] jaervosz
Keywords:
: 106896 (view as bug list)
Depends on:
Blocks:
 
Reported: 2005-09-26 19:27 UTC by Marcel Guzman
Modified: 2005-10-02 06:22 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel Guzman 2005-09-26 19:27:36 UTC
Abiword 2.2.10 is released, which fixes a security vulnerability:

"Fix security bug: AbiWord RTF import stack-based buffer overflow /
CESA-2005-004 - rev 1"

AbiSource advises all users to upgrade as soon as possible
Comment 1 Sune Kloppenborg Jeppesen gentoo-dev 2005-09-27 00:13:55 UTC
*** Bug 106896 has been marked as a duplicate of this bug. ***
Comment 2 Sune Kloppenborg Jeppesen gentoo-dev 2005-09-27 00:15:24 UTC
gnome please advise and bump as necessary. 
Comment 3 Thierry Carrez (RETIRED) gentoo-dev 2005-09-28 04:15:55 UTC
This is CAN-2005-2964
Comment 4 Mike Gardiner (RETIRED) gentoo-dev 2005-09-28 08:53:27 UTC
Added to ~arch.
Comment 5 Thierry Carrez (RETIRED) gentoo-dev 2005-09-28 09:01:58 UTC
Archs please test and mark stable :
Target KEYWORDS="alpha amd64 hppa ia64 ppc ppc64 sparc x86"
Comment 6 Ferris McCormick (RETIRED) gentoo-dev 2005-09-28 10:02:55 UTC
Sparc done.  Builds and appears to run as expected.
Comment 7 Ferris McCormick (RETIRED) gentoo-dev 2005-09-28 10:03:23 UTC
(Forgot to remove CC sparc)
Comment 8 Ferris McCormick (RETIRED) gentoo-dev 2005-09-28 10:04:08 UTC
(In reply to comment #7)
> (Forgot to remove CC sparc)
This time for sure.  Nuts.
Comment 9 Michael Hanselmann (hansmi) (RETIRED) gentoo-dev 2005-09-28 11:08:04 UTC
Stable on ppc and hppa
Comment 10 Luis Medinas (RETIRED) gentoo-dev 2005-09-28 12:20:20 UTC
Amd64
Comment 11 Luis Medinas (RETIRED) gentoo-dev 2005-09-28 12:21:50 UTC
amd64 done
Comment 12 Markus Rothe (RETIRED) gentoo-dev 2005-09-28 12:27:03 UTC
stable on ppc64
Comment 13 Paul Varner (RETIRED) gentoo-dev 2005-09-28 16:23:13 UTC
Stable on x86
Comment 14 Fernando J. Pereda (RETIRED) gentoo-dev 2005-09-29 09:22:50 UTC
Stable on alpha

Cheers,
Ferdy
Comment 15 Thierry Carrez (RETIRED) gentoo-dev 2005-09-30 03:06:22 UTC
GLSA 200509-20
ia64 should mark stable to benefit from GLSA